﻿------------------------------------------------------------- 
-- Script d'initialisation de JEFY_ADMIN
-- executer à partir du user JEFY_ADMIN ou GRHUM
------------------------------------------------------------- 
-- version 1.0.0 
-- rodolphe.prin@univ-lr.fr


--------------------------------------------------------------
-- TODO
-- 
-- * Vérifiez le max du champ org_ordre dans jefy.organ et 
-- mettez a jour me "start with" pour la creation de la sequence ORGAN_SEQ
-- select max(org_ordre) from jefy.organ
-- rajouter 1 à ce maximum pour le start with
-- * meme chose pour la sequence UTILISATEUR_SEQ en recuperant le 
-- select max(utl_ordre) from maracuja.utilisateur
-- * lancer ce script à partir du user GRHUM ou JEFY_ADMIN
---------------------------------------------------------------



--sequences
DROP SEQUENCE JEFY_ADMIN.ORGAN_SEQ;
-- ##### TODO : modifier le START WITH
CREATE SEQUENCE JEFY_ADMIN.ORGAN_SEQ START WITH 5000000 MAXVALUE 1E27 MINVALUE 0 NOCYCLE NOCACHE NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_SEQ;
-- ##### TODO : modifier le START WITH
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_SEQ  START WITH 1000  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;


DROP SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN_SEQ;
CREATE SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_ORGAN_SEQ START WITH 1 MAXVALUE 1E27 MINVALUE 0 NOCYCLE NOCACHE NOORDER;

DROP SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_SEQ;
CREATE SEQUENCE JEFY_ADMIN.CODE_ANALYTIQUE_SEQ START WITH 10 MAXVALUE 1E27 MINVALUE 0 NOCYCLE NOCACHE NOORDER;

DROP SEQUENCE JEFY_ADMIN.LOLFNOMENCLATUREABSTRACT_SEQ;
CREATE SEQUENCE JEFY_ADMIN.LOLFNOMENCLATUREABSTRACT_SEQ START WITH 2000 MAXVALUE 1E27 MINVALUE 0 NOCYCLE NOCACHE NOORDER;

DROP SEQUENCE JEFY_ADMIN.ORGAN_PRORATA_SEQ;
CREATE SEQUENCE JEFY_ADMIN.ORGAN_PRORATA_SEQ START WITH 1 MAXVALUE 1E27 MINVALUE 0 NOCYCLE NOCACHE NOORDER;

DROP SEQUENCE JEFY_ADMIN.ORGAN_SIGNATAIRE_SEQ;
CREATE SEQUENCE JEFY_ADMIN.ORGAN_SIGNATAIRE_SEQ  START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.ORGAN_SIGNATAIRE_TC_SEQ;
CREATE SEQUENCE JEFY_ADMIN.ORGAN_SIGNATAIRE_TC_SEQ   START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.PARAMETRE_SEQ;
CREATE SEQUENCE JEFY_ADMIN.PARAMETRE_SEQ  START WITH 100  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.TAUX_PRORATA_SEQ;
CREATE SEQUENCE JEFY_ADMIN.TAUX_PRORATA_SEQ  START WITH 3  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.TYPE_CREDIT_SEQ;
CREATE SEQUENCE JEFY_ADMIN.TYPE_CREDIT_SEQ  START WITH 100  MAXVALUE 1E27  MINVALUE 1  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE_SEQ;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_EXERCICE_SEQ  START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION_SEQ;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_GESTION_SEQ  START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_SEQ;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_FONCT_SEQ START WITH 389 MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_ORGAN_SEQ;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_ORGAN_SEQ  START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;

DROP SEQUENCE JEFY_ADMIN.UTILISATEUR_PREFERENCE_SEQ;
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_PREFERENCE_SEQ  START WITH 1  MAXVALUE 1E27  MINVALUE 0  NOCYCLE  NOCACHE  NOORDER;















